gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A base class for ruler widgets.

The Ruler widget is a base class for horizontal and vertical rulers. Rulers are used to show the mouse pointer's location in a window. Within the ruler a small triangle indicates the location of the mouse relative to the horizontal or vertical ruler. Concrete classes are and for horizontal and vertical rulers, respectively.

With this class, you can adjust the unit type and the range of values that a ruler displays.

Note:- This widget is considered too specialized for GTK+, and will likely be moved to some other package in the future.

Gtk.Widget Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Draws tickmarks on the ruler.
- Method
  System.Void Draws the mouse position mark on the ruler.
- Method
  System.Void `` `` `` `` Sets the range information. The lower value to display on the Ruler. The upper value to display on the Ruler. The current position of the mouse aligned with this Ruler. A , the maximum size of the ruler.
- Method
  System.Void `` `` `` `` Gets the range information. A for the lower value to display on the Ruler. A for the upper value to display on the Ruler. A for the current position of the mouse aligned with this Ruler. A , the maximum size of the ruler.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Ruler, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Gtk.MetricType Manage the measurement unit that is displayed. A new unit type for the ruler. The current units in use.

  If this property is not explicitly set, the default for a ruler is .

- Property
  System.Double The upper value to display on the ruler. A A
- Property
  System.Double The position of the mouse mark on the ruler. A A
- Property
  System.Double The maximum size of the ruler. A A
- Property
  System.Double The lower limit of the ruler. A A
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Protected constructor.
  a